=== benchmarks/requirements.txt ===
pyperf
matplotlib
seaborn
numpy
