=== docs/examples/nbody/requirements.txt ===
numpy
rebound
