## python-memray 1.13.0+dfsg

=== debian/changelog ===
python-memray (1.13.0+dfsg-1) unstable; urgency=medium

  * Updated to new upstream version 1.13.0.
  * Updated old patches to fit new upstream version.
  * Added new patches to fix tests in Python 3.12 and
    to fix the docs.
  * d/control: Added libunwind-dev to B-Depends.
  * d/rules: Revised pybuild test args to fir new
    upstream version + enabled memray binary.
  * Added man pages for memray binary.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 22 Jun 2024 00:05:00 +0000

python-memray (1.11.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1067871)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 27 May 2024 16:50:00 +0000
