=== debian/control ===
Source: python-memray
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <kd8mbd@gmail.com>,
Homepage: https://github.com/bloomberg/memray
Vcs-Git: https://salsa.debian.org/python-team/packages/python-memray.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-memray
Section: python
Priority: optional
Build-Depends:
 black,
 check-manifest,
 cython3,
 debhelper-compat (= 13),
 dh-sequence-python3,
 furo <!nodoc>,
 libdebuginfod-dev,
 libjs-bootstrap <!nodoc>,
 libjs-d3 <!nodoc>,
 libjs-jquery <!nodoc>,
 libjs-jquery-datatables <!nodoc>,
 libjs-lodash <!nodoc>,
 libjs-popper.js <!nodoc>,
 liblz4-dev,
 libunwind-dev,
 python3-all,
 python3-dev,
 python3-flake8,
 python3-greenlet <!nocheck>,
 python3-ipython,
 python3-isort,
 python3-jinja2,
 python3-mypy,
 python3-pkgconfig,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rich,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-argparse <!nodoc>,
 python3-textual,
 python3-typing-extensions,
 python3.12-dev,
 towncrier <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-memray
Architecture: any
Depends:
 libjs-bootstrap,
 libjs-d3,
 libjs-jquery,
 libjs-jquery-datatables,
 libjs-lodash,
 libjs-popper.js,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Memory profiler for Python applications
 Memray is a memory profiler for Python. It can track memory
 allocations in Python code, in native extension modules,
 and in the Python interpreter itself. It can generate several
 different types of reports to help you analyze the captured
 memory usage data. While commonly used as a CLI tool, it
 can also be used as a library to perform more fine-grained
 profiling tasks.

Package: python-memray-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-memray
 Memray is a memory profiler for Python. It can track memory
 allocations in Python code, in native extension modules,
 and in the Python interpreter itself. It can generate several
 different types of reports to help you analyze the captured
 memory usage data. While commonly used as a CLI tool, it
 can also be used as a library to perform more fine-grained
 profiling tasks.
 .
 This package contains documentation for memray.
