## python-memray 1.13.3+dfsg

=== debian/changelog ===
python-memray (1.13.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.13.3.
  * Rename d/python-memray-doc.doc to d/python-memray-doc.docs.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 08 Jul 2024 13:30:00 +0000

python-memray (1.13.2+dfsg-1) unstable; urgency=medium

  * Updated to new upstream version 1.13.2.
  * d/control: added python3.11-dev to Build Depends +
    updated Uploaders.
  * d/copyright: updated 2019-2020 Red Hat, Inc.
    copyright file name + updated debian/* changelog.
  * d/rules: remove duplicate files in docs and create
    symbolic links.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 28 Jun 2024 09:00:00 +0000
