=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-memray
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Yogeswaran Umasankar <kd8mbd@gmail.com>,
+ Yogeswaran Umasankar <yogu@debian.org>,
 Homepage: https://github.com/bloomberg/memray
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-memray.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-memray
@@ -25,6 +25,7 @@
  libunwind-dev,
  python3-all,
  python3-dev,
+ python3.11-dev,
  python3-flake8,
  python3-greenlet <!nocheck>,
  python3-ipython,
