=== debian/rules ===
--- 
+++ 
@@ -58,5 +58,71 @@
 
 override_dh_installdocs:
 	https_proxy='127.0.0.1:9' sphinx-build -b html docs build/sphinx/html
+
+	# Remove duplicate files
+	rm -f build/sphinx/html/_static/images/codespaces_testing_tab.png
+	rm -f build/sphinx/html/_static/images/complex_example.png
+	rm -f build/sphinx/html/_static/images/exercise1_flamegraph.png
+	rm -f build/sphinx/html/_static/images/exercise2_flamegraph.png
+	rm -f build/sphinx/html/_static/images/exercise3_flamegraph_basic.png
+	rm -f build/sphinx/html/_static/images/exercise3_flamegraph_native.png
+	rm -f build/sphinx/html/_static/images/filter_thread_dropdown.png
+	rm -f build/sphinx/html/_static/images/gprof2dot_example.png
+	rm -f build/sphinx/html/_static/images/icicle_flame_toggle.png
+	rm -f build/sphinx/html/_static/images/inverted_flame_graph_for_inverted_example.png
+	rm -f build/sphinx/html/_static/images/live_different_thread.png
+	rm -f build/sphinx/html/_static/images/live_disconnected.png
+	rm -f build/sphinx/html/_static/images/live_running.png
+	rm -f build/sphinx/html/_static/images/logo.png
+	rm -f build/sphinx/html/_static/logo.png
+	rm -f build/sphinx/html/_static/images/mandelbrot_operation_native.png
+	rm -f build/sphinx/html/_static/images/mandelbrot_operation_non_native.png
+	rm -f build/sphinx/html/_static/images/native_mode_debug.png
+	rm -f build/sphinx/html/_static/images/native_mode_no_debug.png
+	rm -f build/sphinx/html/_static/images/non_relevant_checkbox.png
+	rm -f build/sphinx/html/_static/images/normal_flamegraph_for_inverted_example.png
+	rm -f build/sphinx/html/_static/images/output.png
+	rm -f build/sphinx/html/_static/images/plot_default_options.png
+	rm -f build/sphinx/html/_static/images/plot_native.png
+	rm -f build/sphinx/html/_static/images/plot_python_allocators.png
+	rm -f build/sphinx/html/_static/images/plot_python_allocators_native.png
+	rm -f build/sphinx/html/_static/images/ports_tab.png
+	rm -f build/sphinx/html/_static/images/pymalloc.png
+	rm -f build/sphinx/html/_static/images/pytest_cli_output.png
+	rm -f build/sphinx/html/_static/images/quotes.png
+	rm -f build/sphinx/html/_static/images/rss_vs_heap.png
+	rm -f build/sphinx/html/_static/images/rss_vs_heap_no_free.png
+	rm -f build/sphinx/html/_static/images/simple_example.png
+	rm -f build/sphinx/html/_static/images/stats_example.png
+	rm -f build/sphinx/html/_static/images/summary_example.png
+	rm -f build/sphinx/html/_static/images/table_example.png
+	rm -f build/sphinx/html/_static/images/temporal_high_water_mark_controls.png
+	rm -f build/sphinx/html/_static/images/tree_example.png
+
+	# Create symlinks
+	ln -sf ../../../_images/codespaces_testing_tab.png build/sphinx/html/_static/images/codespaces_testing_tab.png
+	ln -sf ../../../_images/complex_example.png build/sphinx/html/_static/images/complex_example.png
+	ln -sf ../../../_images/exercise1_flamegraph.png build/sphinx/html/_static/images/exercise1_flamegraph.png
+	ln -sf ../../../_images/exercise2_flamegraph.png build/sphinx/html/_static/images/exercise2_flamegraph.png
+	ln -sf ../../../_images/exercise3_flamegraph_basic.png build/sphinx/html/_static/images/exercise3_flamegraph_basic.png
+	ln -sf ../../../_images/exercise3_flamegraph_native.png build/sphinx/html/_static/images/exercise3_flamegraph_native.png
+	ln -sf ../../../_images/filter_thread_dropdown.png build/sphinx/html/_static/images/filter_thread_dropdown.png
+	ln -sf ../../../_images/gprof2dot_example.png build/sphinx/html/_static/images/gprof2dot_example.png
+	ln -sf ../../../_images/icicle_flame_toggle.png build/sphinx/html/_static/images/icicle_flame_toggle.png
+	ln -sf ../../../_images/inverted_flame_graph_for_inverted_example.png build/sphinx/html/_static/images/inverted_flame_graph_for_inverted_example.png
+	ln -sf ../../../_images/live_different_thread.png build/sphinx/html/_static/images/live_different_thread.png
+	ln -sf ../../../_images/live_disconnected.png build/sphinx/html/_static/images/live_disconnected.png
+	ln -sf ../../../_images/live_running.png build/sphinx/html/_static/images/live_running.png
+	ln -sf ../../../_images/logo.png build/sphinx/html/_static/images/logo.png
+	ln -sf ../../../logo.png build/sphinx/html/_static/logo.png
+	ln -sf ../../../_images/mandelbrot_operation_native.png build/sphinx/html/_static/images/mandelbrot_operation_native.png
+	ln -sf ../../../_images/mandelbrot_operation_non_native.png build/sphinx/html/_static/images/mandelbrot_operation_non_native.png
+	ln -sf ../../../_images/native_mode_debug.png build/sphinx/html/_static/images/native_mode_debug.png
+	ln -sf ../../../_images/native_mode_no_debug.png build/sphinx/html/_static/images/native_mode_no_debug.png
+	ln -sf ../../../_images/non_relevant_checkbox.png build/sphinx/html/_static/images/non_relevant_checkbox.png
+	ln -sf ../../../_images/normal_flamegraph_for_inverted_example.png build/sphinx/html/_static/images/normal_flamegraph_for_inverted_example.png
+	ln -sf ../../../_images/output.png build/sphinx/html/_static/images/output.png
+	ln -sf ../../../_images/plot_default_options.png
+
 	dh_installdocs -ppython-memray-doc --doc-main-package=python-memray-doc build/sphinx/html
 	dh_installdocs
