## python-memray 1.13.4+dfsg

=== debian/changelog ===
python-memray (1.13.4+dfsg-4) unstable; urgency=medium

  * Skip test_tracking.py failing autopkgtests in armhf.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 14 Aug 2024 15:00:00 +0000

python-memray (1.13.4+dfsg-3) unstable; urgency=medium

  * Update the list of tests to skip in d/rules and d/tests/runtests.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 14 Aug 2024 04:00:00 +0000

python-memray (1.13.4+dfsg-2) unstable; urgency=medium

  * Add d/tests to fix test failures in various ARCH.
  * d/rules: define and skip failed tests in each ARCH.
  * d/control: remove testsuite.
  * d/copyright: update to GPL-2+, GPL-3+ and LGPL-2+.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 11 Aug 2024 01:00:00 +0000

python-memray (1.13.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.13.4.
  * Disable tests in ARCH with timeout and segfault.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 22 Jul 2024 01:40:00 +0000

python-memray (1.13.3+dfsg-2) unstable; urgency=medium

  * d/control: replace python3.*-dev with python3-all-dev + added
    pybuild-plugin-pyproject in Build-Depends. (Closes: #1076202)
  * d/rules: updated override_dh_install for pybuild-plugin-pyproject.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 12 Jul 2024 15:30:00 +0000
