## python-memray 1.14.0+dfsg

=== debian/changelog ===
python-memray (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.0.
  * Update patches to fit new upstream version + update email ID in
    patches.
  * d/copyright: update to fit new upstream version.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 11 Sep 2024 21:15:00 +0000
