=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
  libjs-popper.js <!nodoc>,
  liblz4-dev,
  libunwind-dev,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-dev,
- python3.11-dev,
+ python3-all-dev,
  python3-flake8,
  python3-greenlet <!nocheck>,
  python3-ipython,
@@ -41,11 +41,9 @@
  python3-sphinx-argparse <!nodoc>,
  python3-textual,
  python3-typing-extensions,
- python3.12-dev,
  towncrier <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-memray
 Architecture: any
