## python-memray 1.15.0+dfsg

=== debian/changelog ===
python-memray (1.15.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.15.0.
  * d/control: update libjs-bootstrap to libjs-bootstrap5 in Depends.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 06 Dec 2024 19:16:12 +0000

python-memray (1.14.0+dfsg-2) unstable; urgency=medium

  * d/control: bump libjs-bootstrap4 to libjs-bootstrap5
    in B-Depends. (Closes: #1088430)

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 02 Dec 2024 18:23:58 +0000
