=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-sequence-python3,
  furo <!nodoc>,
  libdebuginfod-dev,
- libjs-bootstrap <!nodoc>,
+ libjs-bootstrap5 <!nodoc>,
  libjs-d3 <!nodoc>,
  libjs-jquery <!nodoc>,
  libjs-jquery-datatables <!nodoc>,
@@ -48,7 +48,7 @@
 Package: python3-memray
 Architecture: any
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-d3,
  libjs-jquery,
  libjs-jquery-datatables,
@@ -72,7 +72,7 @@
 Architecture: all
 Section: doc
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},
