## python-memray 1.17.0+dfsg

=== debian/changelog ===
python-memray (1.17.0+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Oct 2025 14:51:55 +0000

python-memray (1.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.17.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 04 Apr 2025 19:28:26 +0000

python-memray (1.16.0+dfsg-2) unstable; urgency=medium

  * d/rules & d/tests/runtests: skip failing tests in riscv64.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 04 Apr 2025 01:42:36 +0000

python-memray (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.16.0.
  * d/control: bump Standards-Version to 4.7.2.
  * d/copyright:
    - Update debian/* copyright year.
    - Fix fsf address in GPL-2+, GPL-3+ and LGPL-3+.
  * Add d/salsa-ci.yml.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 30 Mar 2025 00:26:59 +0000
