=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  python3-typing-extensions,
  towncrier <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 
 Package: python3-memray
 Architecture: any
