=== debian/rules ===
--- 
+++ 
@@ -73,6 +73,12 @@
 -v -k 'not test_reading_allocations_while_reading_stack_traces \
 and not test_live_tracking_waits_for_client \
 and not test_live_tracking \
+and not test_munmap_multiple_mmaps_multiple_munmaps[ALL_ALLOCATIONS] \
+and not test_munmap_multiple_mmaps_multiple_munmaps[AGGREGATED_ALLOCATIONS] \
+and not test_basic_attach[gdb] \
+and not test_aggregated_attach[gdb] \
+and not test_attach_time[gdb] \
+and not test_detach_without_attach[gdb] \
 ${TIMEOUT_ARGS}'"
 
 override_dh_auto_test:
@@ -150,6 +156,3 @@
 	ln -sf ../../../_images/gprof2dot_example.png build/sphinx/html/_static/images/gprof2dot_example.png
 	ln -sf ../../../_images/icicle_flame_toggle.png build/sphinx/html/_static/images/icicle_flame_toggle.png
 	ln -sf ../../../_images/inverted_flame_graph_for_inverted_example.png build/sphinx/html/_static/images/inverted_flame_graph_for_inverted_example.png
-	ln -sf ../../../_images/live_different_thread.png build/sphinx/html/_static/images/live_different_thread.png
-	ln -sf ../../../_images/live_disconnected.png build/sphinx/html/_static/images/live_disconnected.png
-	ln -sf ../../../_images/live_running.png build/sphinx/html/_static/images/live_running.png
