=== debian/tests/control ===
Tests: runtests
Depends:
 black,
 check-manifest,
 cython3,
 dh-sequence-python3,
 libdebuginfod-dev,
 liblz4-dev,
 libunwind-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-all-dev,
 python3-flake8,
 python3-greenlet,
 python3-ipython,
 python3-isort,
 python3-jinja2,
 python3-mypy,
 python3-pkgconfig,
 python3-pytest,
 python3-pytest-cov,
 python3-rich,
 python3-setuptools,
 python3-textual,
 python3-typing-extensions,
 @,
Restrictions: allow-stderr
