=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/bloomberg/memray/tags .*/v(\d\S+)\.tar\.gz
